#include <iostream>
#include <ctime>
#include <cstring>

#undef NDEBUG
#include <assert.h>

using namespace std;

int main()
{
	tm tm;
	time_t t(0);
	memset(&tm, 0, sizeof(tm));
	
	cout << "zeroed tm" << endl;
	assert(tm.tm_sec == 0);
	
	cout << "gmtime_r" << endl;
	assert(gmtime_r(&t, &tm));
	assert(tm.tm_sec == 0);
	
	cout << "mktime" << endl;
	(void)mktime(&tm);
	assert(tm.tm_sec == 0);
	
	return 0;
}
